package lab3;

/**
 * Utility class.
 * @author Eric Jnsson (ericj@cs.umu.se)
 */
public class Util {
	
	/**
	 * @param array Dumps the array contents to stderr.
	 * @param msg Optional message to display.
	 */
	public static void printArray(double[] array, String msg) {
		if (msg != null)
			System.out.println("--" + msg + "--");
		for (int i = 0; i < array.length; i++)
			System.out.print(array[i] + " ");
		System.out.println();
	}
	
	/**
	 * @param array Dumps the array contents to stderr.
	 * @param msg Optional message to display.
	 */
	public static void printArray(int[] array, String msg) {
		if (msg != null)
			System.out.println("--" + msg + "--");
		for (int i = 0; i < array.length; i++)
			System.out.print(array[i] + " ");
		System.out.println();
	}
	
	/**
	 * @param matrix Dumps the matrix contents to stderr.
	 * @param msg Optional message to display.
	 */
	public static void printMatrix(int[][] matrix, String msg) {
		if (msg != null)
			System.out.println("--" + msg + "--");
		for (int i = 0; i < matrix.length; i++)
			printArray(matrix[i], null);
		System.out.println();
	}
	
	/**
	 * @param matrix Dumps the matrix contents to stderr.
	 * @param msg Optional message to display.
	 */
	public static void printMatrix(double[][] matrix, String msg) {
		if (msg != null)
			System.out.println("--" + msg + "--");
		for (int i = 0; i < matrix.length; i++)
			printArray(matrix[i], null);
		System.out.println();
	}
	
	/**
	 * @param data Dumps an array of matrices to stderr.
	 * @param msg Optional display message.
	 */
	public static void printMatrixArray(double[][][] data, String msg) {
		if (msg != null)
			System.out.println("--" + msg + "--");
		for (int i = 0; i < data.length; i++)
			printMatrix(data[i], "Matrix " + i);
		System.out.println();
	}
}
