#ifndef COMMON_H
#define COMMON_H

typedef struct pos {
	unsigned int x,y;
} pos_t;

typedef struct board {
	unsigned int side;
	int b[];
} board_t;

typedef struct gamestate {
	board_t *board;
	pos_t *last;
} gamestate_t;


typedef struct player {
	pos_t* (*next_move)(gamestate_t* game);
} player_t;

#endif
