#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "random.h"
#include "common.h"

static int side;
static player_t *player;

player_t* random_get_player(int m){
	player = malloc(sizeof(player_t));
	side = m;
	player->next_move = random_next_move;
	srand(time(NULL));
	return player;
}

pos_t* random_next_move(gamestate_t *state){
	pos_t *p = malloc(sizeof(pos_t));
	do{
		p->x = rand() % side;
		p->y = rand() % side;
	}while(state->board->b[p->y*state->board->side + p->x]);
	return p;
}

void random_free_quit(gamestate_t *state){
	free(player);
}


