#!/bin/bash

# Usage: ./masscheck <jar> <training> <correct> <test> <iterations>

sum=0

for i in `seq 1 $5`; do
    java -jar $1 train $2 $3 > /dev/null
    res=`./check.sh $1 $2 $3 $4 | cut -d " " -f 2`
    tot=`echo $res | cut -d "/" -f 2`
    let sum+=`echo $res | cut -d "/" -f 1`
    echo "Test $i/$5 complete"
done

avg=`echo "scale=1; $sum/$5" | bc`

echo "Average: $avg/$tot"